import unittest
import modulos.coingecko_api as cgapi


class Teste_API(unittest.TestCase):
    '''teste API()'''
    def test_api_method(self):
        url, codigo, data = cgapi.API('ping', {})
        self.assertIsInstance(url, str)
        self.assertEqual(codigo, 200)
        self.assertIsInstance(data, dict)


class Teste_ping(unittest.TestCase):
    '''teste ping()'''
    pass


class Teste_coin_price_by_ids(unittest.TestCase):
    '''teste coin_price_by_ids()'''
    pass


class Teste_supported_currencies_list(unittest.TestCase):
    '''teste supported_currencies_list()'''
    pass


class Teste_coin_price_by_token_addresses(unittest.TestCase):
    '''teste coin_price_by_token_addresses()'''
    pass


class Teste_coins_list(unittest.TestCase):
    '''teste coins_list()'''
    pass


class Teste_coins_list_with_market_data(unittest.TestCase):
    '''teste coins_list_with_market_data()'''
    pass

# unittest.main()
if __name__ == '__main__':
    unittest.main()